$font-stack:
  'GitLab Sans',
  'Inter',
  -apple-system,
  BlinkMacSystemFont,
  'Segoe UI',
  Roboto,
  Helvetica,
  Arial,
  sans-serif;

html {
  scroll-padding-top: 120px;
  font-family: $font-stack;
}

button {
  font-family: $font-stack;
}

*,
::before,
::after {
  box-sizing: border-box;
}

a:not(.slp-btn) {
  text-decoration: none;
  color: $color-text-link-100;
}
.sr-only {
  position: absolute !important;
  width: 1px;
  height: 1px;
  padding: 0;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  white-space: nowrap;
  border: 0;
}
.noScroll {
  overflow: hidden;
}

.scroll {
  overflow: visible !important;
}

body {
  -ms-overflow-style: none; /* Internet Explorer 10+ */
  scrollbar-width: none; /* Firefox */
}

body::-webkit-scrollbar {
  display: none; /* Safari and Chrome */
}

@font-face {
  font-family: 'GitLab Mono';
  font-style: normal;
  font-weight: 400 700;
  font-display: swap;
  src: url('@gitlab/fonts/gitlab-mono/GitLabMono.woff2') format('woff2');
}

@font-face {
  font-family: 'GitLab Sans';
  font-style: normal;
  font-display: swap;
  font-weight: 100 900;
  src: url('@gitlab/fonts/gitlab-sans/GitLabSans.woff2') format('woff2');
}

@font-face {
  font-family: 'GitLab Sans Italic';
  font-style: normal;
  font-weight: 100 900;
  font-display: swap;
  src: url('@gitlab/fonts/gitlab-sans/GitLabSans-Italic.woff2') format('woff2');
}

.aos-init,
.aos-animate,
[data-aos] {
  @media (prefers-reduced-motion: reduce) {
    transform: none !important;
    opacity: 1 !important;
  }
}

body.aos-disabled {
  [data-aos] {
    opacity: 1;
    transform: none;
    transition: none;
  }
}

.header-anchor {
  > * {
    visibility: hidden;
  }
  &:hover {
    > * {
      visibility: visible;
    }
  }
  svg path {
    fill: currentColor;
  }
}

code {
  font-family: 'GitLab Mono';
  overflow-wrap: break-word;
  padding: 2px 4px;
  font-size: 90%;
  color: #c7254e;
  background-color: #f9f2f4;
  border-radius: 4px;
}

/* ==========================================
           PAGE SPECIFIC STYLING
   ========================================== */

// Page: why-gitlab
#page-why-gitlab {
  background-position:
    0 125vh,
    100% 0;
  background-size:
    135vw auto,
    135vw auto;
  background-color: $color-surface-700;
  background-image:
    url(/public/images/backgrounds/large-semicircle-left.svg),
    url(/public/images/backgrounds/large-semicircle-right.svg);
  background-repeat: repeat-y, repeat-y;
  color: $color-text-50;
}

// Page: sales
#page-sales {
  .single-column-hero__description {
    font-size: $text-heading-5;
    line-height: $line-height-heading-5;
    letter-spacing: $letter-spacing-heading-5-bold;

    @media (max-width: $breakpoint-md) {
      font-size: $text-heading-5-mobile;
      line-height: $line-height-heading-5-mobile;
      letter-spacing: $letter-spacing-heading-5-bold-mobile;
    }
  }
}

// Page: /solutions/startups
#page-solutions-startups {
  .quote-carousel.dark-mode {
    padding-top: 96px;
  }
}

// Page: /company/contact
#page-company-contact {
  .hero {
    margin-bottom: $spacing-96;
  }
}
